List data centers
curl --request GET \
--url https://api.aireserve.com/v1/gpu/catalog/datacenters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/catalog/datacenters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/catalog/datacenters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"region": "<string>",
"globalNetwork": true,
"networkVolumeTypes": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}GPU Infrastructure
List data centers
Data centers available for on-demand pods and network volumes. Requires compute read access.
GET
/
v1
/
gpu
/
catalog
/
datacenters
List data centers
curl --request GET \
--url https://api.aireserve.com/v1/gpu/catalog/datacenters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aireserve.com/v1/gpu/catalog/datacenters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aireserve.com/v1/gpu/catalog/datacenters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"name": "<string>",
"region": "<string>",
"globalNetwork": true,
"networkVolumeTypes": [
"<string>"
]
}
],
"nextCursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}{
"error": {
"message": "<string>",
"type": "invalid_request_error",
"param": "<string>",
"code": "<string>",
"details": {}
}
}Authorizations
bearerAuthapiKeyAuth
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).